> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fullenrich.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check If API Key Is Valid

> This endpoint checks if your API key is valid.



## OpenAPI

````yaml api/v2/reference/openapi.yml GET /account/keys/verify
openapi: 3.1.0
info:
  title: FullEnrich API Documentation
  version: 2.0.0
  description: >
    FullEnrich API enables you to enrich B2B contacts with emails and phone
    numbers using data from 20+ providers.


    We are GDPR and CCPA compliant.
servers:
  - url: https://app.fullenrich.com/api/v2
security: []
paths:
  /account/keys/verify:
    get:
      summary: Check If API Key Is Valid
      description: This endpoint checks if your API key is valid.
      operationId: checkKey
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/verifyKey'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                AuthorizationHeaderNotSet:
                  value:
                    code: error.authorization.not_set
                    message: Authorization headers not set
                AuthorizationHeaderNotAnBearer:
                  value:
                    code: error.authorization.not_bearer
                    message: Authorization headers do not have prefix 'bearer'
                UnknowApiKey:
                  value:
                    code: error.api.key
                    message: Unknown api key
        '404':
          description: Workspace ID not found
      security:
        - BearerAuth: []
components:
  schemas:
    verifyKey:
      type: object
      description: Response returned when API key is valid
      properties:
        workspace_id:
          type: string
          description: The workspace ID associated with this API key
          example: 2db5ea61-1752-42cf-8ea1-ab1da060cd0a
    Error:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````